package ai.pai.lensman.bean;


import java.io.Serializable;

public class PhotoBean implements Serializable{

    public long    photoId;

    public String photoPath;

    public String photoName;

    public int sessionSeq;

    public long sessionDate;

    public String sessionId;

    public String lensmanId;

    public long captureTime;

    public int uploadStatus;

    public boolean isRawPhoto;

    @Override
    public boolean equals(Object obj) {
        if(obj == this){
            return true;
        }
        if(!(obj instanceof PhotoBean)){
            return false;
        }
        return (((PhotoBean) obj).photoId==this.photoId);
    }

    @Override
    public String toString() {
        return "PhotoBean{" +
                "photoId=" + photoId +
                ", photoName='" + photoName + '\'' +
                ", sessionSeq=" + sessionSeq +
                '}';
    }

    public interface UploadStatus {
        int STATUS_NO_BEGIN = 0;
        int STATUS_SUCCESS = 1;
        int STATUS_ERROR = -1;
    }
}
